import { getRandomColor, lightenColor } from "@/utils/color";
import { Node } from "@antv/x6";

export const getTheme = (key?: string, parentNode?: Node) => {

  const map = {
    // 默认主题
    default: {
      main: {
        fill: {
          fillType: "color",
          color1: "#30304D",
        },
        text: {
          color: "#fff",
          fontSize: 30,
        },
        stroke: {
          width: 0,
        }
      },
      branch: {
        fill: {
          fillType: "color",
          color1: getRandomColor(["#3D4BCF", "#9C2CB8"]),
        },
        text: {
          color: "#fff",
          fontSize: 18,
        },
        stroke: {
          width: 0,
        },
      },
      sub: {
        fill: {
          fillType: "color",
          color1: parentNode?.data?.fill?.color1 ? lightenColor(parentNode.data.fill.color1, 150) : getRandomColor(["#3D4BCF", "#9C2CB8"]),
        },
        text: {
          color: parentNode?.data?.fill?.color1 ? lightenColor(parentNode.data.fill.color1, -10) : "#fff",
          fontSize: 14,
        },
        stroke: {
          width: 0,
        },
      }
    }
  }

  return map[key as keyof typeof map] || {};
};